Cómo descargar una versión anterior de un paquete (downgrade) en Ubuntu con un par de clics

Descargar versión anterior de un paquete en Ubuntu

Aunque en los repositorios oficiales de Ubuntu suele haber software que ya está bien probado, siempre cabe la posibilidad de que actualicemos un paquete y no funcione todo lo bien que esperábamos. También puede ser que introduzcan cambios que no nos gustan, por lo que una buena idea puede ser volver a instalar el paquete anterior. ¿Se puede hacer esto en Ubuntu? Sí, y en este artículo te vamos a enseñar cómo descargar una versión anterior usando la opción con interfaz gráfica.

Pero antes de seguir tenemos que avisar de que no todos los paquetes pueden hacer un «downgrade» y que sólo se podrá bajar a versiones que aún estén disponibles en los repositorios oficiales; cuando pase cierto tiempo y eliminen una versión, ya no será posible bajar como vamos a explicar aquí. ¿Y qué software es ese que nos permitirá hacer estos cambios sin pasar por el terminal? El gestor de paquetes Synaptic.

Synaptic nos permite descargar una versión anterior de un paquete

Lo primero que tendremos que hacer, si no lo tenemos instalado ya, es instalar Synaptic. Para ello, basta con abrir el centro de software, buscar «synaptic» e instalar el paquete o un terminal y escribir «sudo apt install synaptic» sin las comillas. Una vez instalado, el siguiente paso es abrir el gestor de paquetes. Nos aparecerá una ventana con información que tendremos que aceptar; si le marcamos la casilla, la advertencia volverá a aparecer la siguiente vez que abramos el gestor de paquetes.

Con Synaptic abierto, hacemos clic en la lupa y buscamos un paquete, como el Firefox del ejemplo. Ahora, vamos al menú «Paquete» y elegimos «Forzar versión…».

Synaptics

Se nos abrirá una ventana como la siguiente en donde tenemos que elegir la versión que queramos. Como veis, en el momento de escribir este artículo podemos elegir entre Firefox 95, el más actualizado, o el 93 con el que vino Impish Indri en el momento de su lanzamiento. Firefox 94 ya no está en los repositorios, por lo que no se puede instalar con este método.

Synaptics, elegir versión del paquete

Para finalizar tendremos que hacer clic en «Aplicar». Pero también hay un paso opcional que deberemos dar si no queremos que el paquete se actualice en el futuro: volvemos al menú «Paquete» y elegimos «Bloquear versión». Con esto evitaremos sorpresas negativas en el futuro, pero también nos quedaremos sin novedades futuras.

Y así es cómo podemos descargar una versión anterior de un paquete en Ubuntu. Es sencillo y fácil de recordar, y puede ahorrarnos dolores de cabeza.


El contenido del artículo se adhiere a nuestros principios de ética editorial. Para notificar un error pincha aquí.

Sé el primero en comentar

Deja tu comentario

Tu dirección de correo electrónico no será publicada.

*

*

  1. Responsable de los datos: Miguel Ángel Gatón
  2. Finalidad de los datos: Controlar el SPAM, gestión de comentarios.
  3. Legitimación: Tu consentimiento
  4. Comunicación de los datos: No se comunicarán los datos a terceros salvo por obligación legal.
  5. Almacenamiento de los datos: Base de datos alojada en Occentus Networks (UE)
  6. Derechos: En cualquier momento puedes limitar, recuperar y borrar tu información.